org.eclipse.rdf4j.http.client

## Interface SesameClientDependent

- All Known Subinterfaces:
    SessionManagerDependent
  All Known Implementing Classes:
    FederatedServiceResolverImpl, Federation, FedXRepository, FedXRepositoryConnection, HTTPRepository, SailRepository, SailRepositoryConnection, SPARQLRepository, SPARQLServiceResolver

  Deprecated.
  use `SessionManagerDependent` instead.

      @Deprecated
      public interface SesameClientDependent

  Author:
    Jeen Broekstra

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpClientSessionManager` | `getHttpClientSessionManager()` Deprecated. `HttpClientSessionManager` that has been assigned or has been used by this object.
    `default HttpClientSessionManager` | `getSesameClient()` Deprecated. use `getHttpClientSessionManager()` instead.
    `void` | `setHttpClientSessionManager(HttpClientSessionManager client)` Deprecated. Assign an `HttpClientSessionManager` that this object should use.
    `default void` | `setSesameClient(SesameClient client)` Deprecated. use `setHttpClientSessionManager(HttpClientSessionManager)` instead.

- - ### Method Detail

    - #### getHttpClientSessionManager

          HttpClientSessionManager getHttpClientSessionManager()

      Deprecated.
      `HttpClientSessionManager` that has been assigned or has been used by this object. The life cycle might not be or might be tied to this object, depending on whether `HttpClientSessionManager` was passed to or created by this object respectively.
      Returns:
        a `HttpClientSessionManager` instance or null

    - #### getSesameClient

          @Deprecated
          default HttpClientSessionManager getSesameClient()

      Deprecated. use `getHttpClientSessionManager()` instead.

    - #### setHttpClientSessionManager

          void setHttpClientSessionManager(HttpClientSessionManager client)

      Deprecated.
      Assign an `HttpClientSessionManager` that this object should use. The life cycle of the given `HttpClientSessionManager` is independent of this object. Closing or shutting down this object does not have any impact on the given client. Callers must ensure that the given client is properly closed elsewhere.
      Parameters:
        `client` -

    - #### setSesameClient

          @Deprecated
          default void setSesameClient(SesameClient client)

      Deprecated. use `setHttpClientSessionManager(HttpClientSessionManager)` instead.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.